<?php

declare(strict_types=1);

namespace App\Entity\Core;

use ApiPlatform\Metadata\ApiResource;
use Doctrine\ORM\Mapping as ORM;

/**
 * TODO: documenter.
 */
#[ApiResource(operations: [])]
#[ORM\Entity]
class LoginLog
{
    #[ORM\Id]
    #[ORM\Column]
    #[ORM\GeneratedValue]
    private int $id;

    #[ORM\Column]
    protected mixed $login;

    #[ORM\Column(type: 'integer', options: ['nullable' => true])]
    protected int $organizationId;

    #[ORM\Column]
    protected mixed $navigateur;

    #[ORM\Column]
    protected mixed $ip;

    #[ORM\Column(type: 'date', nullable: true)]
    protected ?\DateTimeInterface $date;

    #[ORM\Column]
    protected mixed $type;

    public function getId(): int
    {
        return $this->id;
    }

    public function setId(int $id): self
    {
        $this->id = $id;

        return $this;
    }

    public function getLogin(): mixed
    {
        return $this->login;
    }

    public function setLogin(mixed $login): self
    {
        $this->login = $login;

        return $this;
    }

    public function getOrganizationId(): int
    {
        return $this->organizationId;
    }

    public function setOrganizationId(int $organizationId): self
    {
        $this->organizationId = $organizationId;

        return $this;
    }

    public function getNavigateur(): mixed
    {
        return $this->navigateur;
    }

    public function setNavigateur(mixed $navigateur): self
    {
        $this->navigateur = $navigateur;

        return $this;
    }

    public function getIp(): mixed
    {
        return $this->ip;
    }

    public function setIp(mixed $ip): self
    {
        $this->ip = $ip;

        return $this;
    }

    public function getDate(): \DateTimeInterface
    {
        return $this->date;
    }

    public function setDate(\DateTimeInterface $date): self
    {
        $this->date = $date;

        return $this;
    }

    public function getType(): mixed
    {
        return $this->type;
    }

    public function setType(mixed $type): self
    {
        $this->type = $type;

        return $this;
    }
}
